## gstreamer1.0 1.8.0

=== debian/changelog ===
gstreamer1.0 (1.8.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Mar 2016 11:52:02 +0200

gstreamer1.0 (1.7.91-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Mar 2016 11:52:25 +0200

gstreamer1.0 (1.7.90-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/libgstreamer.symbols:
      - Add new symbols.
    + debian/control.in:
      - Build-depend on texlive-generic-recommended for ulem.sty.
        It's not pulled in automatically anymore for whatever reason.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Mar 2016 16:57:02 +0200

gstreamer1.0 (1.7.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2016 10:55:13 +0200

gstreamer1.0 (1.7.1-1) experimental; urgency=medium

  * debian/control.in:
    + Build-depend on libgsl-dev | libgsl0-dev instead of just the latter.
  * New upstream unstable release:
    + debian/control.in:
      - Build-depend on GLib >= 2.40.
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 23 Dec 2015 14:13:49 +0100

=== debian/control ===
Source: gstreamer1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loïc Minier <lool@debian.org>,
           Sebastien Bacher <seb128@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93~),
               gnome-pkg-tools (>= 0.7),
               autotools-dev,
               automake (>= 1.14),
               autoconf (>= 2.69),
               libtool (>= 2.2.6),
               dh-autoreconf,
               autopoint (>= 0.17),
               zlib1g-dev (>= 1:1.1.4),
               libglib2.0-dev (>= 2.40),
               libgmp3-dev,
               libgsl-dev | libgsl0-dev,
               pkg-config (>= 0.11.0),
               bison (>= 1:2.4),
               flex (>= 2.5.34),
               dpkg-dev (>= 1.15.1),
               perl-doc,
               libgirepository1.0-dev (>= 0.9.12-4~),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               libcap-dev [linux-any]
Build-Depends-Indep: python (>= 2.2),
                     gtk-doc-tools (>= 1.12),
                     jade (>= 1.2.1),
                     texlive-generic-recommended,
                     transfig (>= 3.2.3.c),
                     docbook-utils (>= 0.6.9),
                     docbook-xml,
                     docbook-xsl,
                     xsltproc (>= 1.0.21),
                     ghostscript,
                     xmlto,
                     netpbm,
                     libglib2.0-doc
Standards-Version: 3.9.3
Homepage: http://gstreamer.freedesktop.org

Package: libgstreamer1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcap2-bin [linux-any]
Suggests: gstreamer1.0-tools,
          gstreamer1.0-plugins-base
Description: Core GStreamer libraries and elements
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the core library and elements.

Package: libgstreamer1.0-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libgstreamer1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Core GStreamer libraries and elements
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer1.0-dev
Architecture: any
Section: libdevel
Depends: libgstreamer1.0-0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         pkg-config,
         libglib2.0-dev,
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gstreamer-1.0 (= ${binary:Version})
Recommends: debhelper
Suggests: gstreamer1.0-doc
Description: GStreamer core development files
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for the core library and
 elements.

Package: gstreamer1.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libglib2.0-doc
Recommends: libgstreamer1.0-dev (= ${source:Version})
Description: GStreamer core documentation and manuals
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains documentation for core libraries and elements as
 well as:
  * the GStreamer Manual
  * the GStreamer Plugin Writers Guide
  * Various API docs

Package: gstreamer1.0-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pkg-config,
         libgstreamer1.0-0 (>= 1.7.90)
Suggests: gstreamer1.0-plugins-base
Description: Tools for use with GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains versioned command-line tools for GStreamer.

Package: gir1.2-gstreamer-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: Description: GObject introspection data for the GStreamer library
 This package contains introspection data for the GStreamer streaming media
 framework.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## gstreamer1.0 1.8.3

=== debian/changelog ===
gstreamer1.0 (1.8.3-1~ubuntu0.1) xenial; urgency=medium

  * No-change backport from yakkety to 16.04 (LP: #1619600)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Sep 2016 14:13:26 +0100

gstreamer1.0 (1.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Aug 2016 11:49:29 +0300

gstreamer1.0 (1.8.2-1) unstable; urgency=medium

  * debian/control.in:
    + Remove duplicated field name.
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 13 May 2016 14:39:48 +0300

gstreamer1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2016 17:53:56 +0300

gstreamer1.0 (1.8.0-2) unstable; urgency=medium

  * debian/control.in:
    + libgstreamer1.0-0 1.8.0 breaks gstreamer1.0-plugins-base << 1.8.0
      because of a bug in the latter that is exposed by the new version of
      core. See https://bugzilla.gnome.org/show_bug.cgi?id=760234
      (Closes: #819958, #819960).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Apr 2016 12:23:58 +0300

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
          ${misc:Depends},
          libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
-          gstreamer1.0-plugins-base
+Breaks: gstreamer1.0-plugins-base (<< 1.8.0)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -134,7 +134,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.7.90)
+         libgstreamer1.0-0 (>= 1.8.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -153,7 +153,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
-Description: Description: GObject introspection data for the GStreamer library
+Description: GObject introspection data for the GStreamer library
  This package contains introspection data for the GStreamer streaming media
  framework.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk

export HOME=$(CURDIR)/fake-home

DEB_DH_AUTORECONF_ARGS += --as-needed

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
gst_pkgname=gstreamer$(gst_abi)
gst_lib_prefix=libgstreamer$(gst_abi)
# gstreamer library package names
gst_lib=$(gst_lib_prefix)-0
gst_lib_dev=$(gst_lib_prefix)-dev
# gstreamer shlibs
gst_shlibs_dep="$(gst_lib) (>= $(gst_version))"

# debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_lib)-dbg

DEB_COMPRESS_EXCLUDE = .sgml .devhelp .ps .pdf

DEB_INSTALL_DOCS_$(gst_lib)-dbg += common/gst.supp

# disable all CPU specific optimizations in commands launched by this Makefile
# using liboil; this is to work around liboil related build failures which
# are not specially interesting to catch on buildds as these might run very
# specific hardware
OIL_CPU_FLAGS=0
export OIL_CPU_FLAGS

PKGFILES=\
	debian/$(gst_lib).install \
	debian/$(gst_lib).symbols \
	debian/$(gst_lib).postinst \
	debian/$(gst_lib_dev).install \
	debian/$(gst_lib_dev).preinst \
	debian/$(gst_lib_dev).postrm \
	debian/$(gst_pkgname)-doc.install \
	debian/$(gst_pkgname)-doc.links \
	debian/$(gst_pkgname)-doc.lintian \
	debian/$(gst_pkgname)-tools.install \
	debian/$(gst_pkgname)-tools.links \
	debian/$(gst_pkgname)-tools.manpages \
	debian/gir1.2-gstreamer-$(gst_abi).install

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gstreamer$(gst_abi)"
endif

debian/control:: debian/control.in debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_VERSION@/$(gst_version)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' | \
		sed 's/@GST_LIB@/$(gst_lib)/g' | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		> $@

debian/$(gst_lib).dirs: debian/libgstreamer.dirs debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_lib).install: debian/libgstreamer.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_lib).symbols: debian/libgstreamer.symbols debian/rules
	rm -f $@
	cp -v $< $@

debian/$(gst_lib).postinst: debian/libgstreamer.postinst debian/rules
	rm -f $@
	cat $< | \
		sed 's/@MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' | \
		sed 's/@GST_ABI@/$(gst_abi)/g' \
		> $@

debian/gir1.2-gstreamer-$(gst_abi).install: debian/gir1.2-gstreamer.install debian/rules
	rm -f $@
	cp -v $< $@

debian/$(gst_lib_dev).install: debian/libgstreamer-dev.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_lib_dev).preinst: debian/libgstreamer-dev.preinst debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		> $@

debian/$(gst_lib_dev).postrm: debian/libgstreamer-dev.postrm debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		> $@

debian/$(gst_pkgname)-doc.install: debian/gstreamer-doc.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-doc.links: debian/gstreamer-doc.links debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-doc.lintian: debian/gstreamer-doc.lintian debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-tools.install: debian/gstreamer-tools-abi.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-tools.links: debian/gstreamer-tools-abi.links debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-tools.manpages: debian/gstreamer-tools-abi.manpages debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

maint: debian/control

pre-build:: $(PKGFILES)

clean::
	for f in $(PKGFILES); do \
		rm -f $$f; \
	done
	-rm -f debian/shlibs.local
	-rm -rf $(CURDIR)/fake-home

common_conf_flags = \
	--disable-failing-tests \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/gstreamer$(gst_abi) \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN)

ifeq ($(DEB_HOST_ARCH_OS),linux)
common_conf_flags += --with-ptp-helper-permissions=capabilities
else
common_conf_flags += --with-ptp-helper-permissions=setuid-root \
	--with-ptp-helper-setuid-user=nobody --with-ptp-helper-setuid-group=nobody
endif

indep_conf_flags = \
	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)-doc

# only build the docs if gtk-doc-tools is installed, i.e. binary-indep is
# called
ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
indep_conf_flags += --enable-gtk-doc --enable-docbook
endif

DEB_CONFIGURE_EXTRA_FLAGS := $(common_conf_flags) $(indep_conf_flags)

common-install-indep::
	# move around the doc dirs
	mkdir -p debian/tmp/usr/share/doc/$(gst_pkgname)-doc
	-cp -r debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/pwg \
	   debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/manual \
	   debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/faq \
	   debian/tmp/usr/share/doc/$(gst_pkgname)-doc

	# -doc lintian overrides
	mkdir -p debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/
	cp -a debian/$(gst_pkgname)-doc.lintian debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/$(gst_pkgname)-doc

DEB_DH_MAKESHLIBS_ARGS_$(gst_lib) += -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)" -V $(gst_shlibs_dep) -- -c4
DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib/$(DEB_HOST_MULTIARCH)

install/$(gst_lib_dev)::
	gcc -o debian/tmp/usr/bin/gst-codec-info-1.0 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0` debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstreamer-1.0.so -Idebian/tmp/usr/include/gstreamer-1.0 -Idebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/include
	perldoc -o man debian/dh_gstscancodecs > debian/tmp/usr/share/man/man1/dh_gstscancodecs.1

.PHONY: maint

## gstreamer1.0 1.10.4

=== debian/changelog ===
gstreamer1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 15:33:32 +0200

gstreamer1.0 (1.10.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 15:27:56 +0200

gstreamer1.0 (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Nov 2016 15:29:47 +0200

gstreamer1.0 (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Nov 2016 14:48:06 +0200

gstreamer1.0 (1.10.0-2) unstable; urgency=medium

  * debian/control:
    + Make sure to properly update debian/control every time, otherwise
      changes to control.in are not applied (Closes: #842526).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Nov 2016 10:42:26 +0200

gstreamer1.0 (1.10.0-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * debian/control.in:
    + Remove obsolete and redudant build dependency on jade (Closes: #840370).

  [ Helmut Grohne ]
  * Mark gstreamer1.0-doc Multi-Arch: foreign (Closes: #842526).

  [ Sebastian Dröge ]
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Nov 2016 17:35:50 +0200

gstreamer1.0 (1.9.90-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Sep 2016 12:13:24 +0300

gstreamer1.0 (1.9.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer-dev.install:
      - Move gstconfig.h into the arch independent path again.
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Sep 2016 11:35:40 +0300

gstreamer1.0 (1.9.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jul 2016 11:51:30 +0300

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
                libcap-dev [linux-any]
 Build-Depends-Indep: python (>= 2.2),
                      gtk-doc-tools (>= 1.12),
-                     jade (>= 1.2.1),
                      texlive-generic-recommended,
                      transfig (>= 3.2.3.c),
                      docbook-utils (>= 0.6.9),
@@ -110,6 +109,7 @@
 
 Package: gstreamer1.0-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          libglib2.0-doc
@@ -134,7 +134,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.8.3)
+         libgstreamer1.0-0 (>= 1.10.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.12.3

=== debian/changelog ===
gstreamer1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Sep 2017 21:18:26 +0300

gstreamer1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Jul 2017 13:19:40 +0300

gstreamer1.0 (1.12.1-2) unstable; urgency=high

  * debian/patches/0001-registrybinary-Update-magic-version-string.patch:
    + Force regeneration of the registry for blacklisted plugins that
      were blacklisted due to broken dependencies.

      Various 1.12 plugin packages were built against 1.12.1-1 and moved to
      testing as such, but had dependencies on GStreamer < 1.12. This does not
      work and causes the plugins to fail to load and be blacklisted.

      While all dependencies should be correct, for some reason they were not,
      which needs separate investigation (Closes: #866339, #866103).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Jul 2017 09:16:52 +0300

gstreamer1.0 (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jun 2017 11:12:14 +0300

gstreamer1.0 (1.12.0-2) experimental; urgency=medium

  [ Sebastian Dröge ]
  * debian/control.in:
    + Don't let gstreamer1.0-tools depend on pkg-config (Closes: #861969).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 May 2017 13:16:05 +0100

gstreamer1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:06:31 +0300

gstreamer1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 16:47:40 +0300

gstreamer1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 15:14:34 +0300

gstreamer1.0 (1.11.2-1) experimental; urgency=medium

  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 13:25:49 +0200

gstreamer1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/*doc*,
      debian/rules:
      - Remove PWG and other documentation that is now handled outside
        the source tarball.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 14:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -29,17 +29,7 @@
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                libcap-dev [linux-any]
-Build-Depends-Indep: python (>= 2.2),
-                     gtk-doc-tools (>= 1.12),
-                     texlive-generic-recommended,
-                     transfig (>= 3.2.3.c),
-                     docbook-utils (>= 0.6.9),
-                     docbook-xml,
-                     docbook-xsl,
-                     xsltproc (>= 1.0.21),
-                     ghostscript,
-                     xmlto,
-                     netpbm,
+Build-Depends-Indep: gtk-doc-tools (>= 1.12),
                      libglib2.0-doc
 Standards-Version: 3.9.3
 Homepage: http://gstreamer.freedesktop.org
@@ -53,7 +43,8 @@
          ${misc:Depends},
          libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
-Breaks: gstreamer1.0-plugins-base (<< 1.8.0)
+Breaks: gstreamer1.0-plugins-base (<< 1.8.0),
+        gstreamer1.0-plugins-bad (<< 1.11.1)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -133,8 +124,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         pkg-config,
-         libgstreamer1.0-0 (>= 1.10.3)
+         libgstreamer1.0-0 (>= 1.12.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.14.0

=== debian/changelog ===
gstreamer1.0 (1.14.0-1) unstable; urgency=medium

  * debian/control.in:
    + Let -dev package conflict/replaces with the one from gst-plugins-bad.
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 09:45:17 +0200

gstreamer1.0 (1.13.91-1) experimental; urgency=medium

  * debian/*.symbols:
    + Add Build-Depends-Package header to each library section.
  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 10:49:20 +0200

gstreamer1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 10:45:33 +0200

gstreamer1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Breaks libgstreamer-plugins-bad1.0-0 (<< 1.13.1) because of API
      that moved to the core GStreamer libraries.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Feb 2018 23:43:37 +0200

gstreamer1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:22:08 +0200

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,8 @@
          libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
 Breaks: gstreamer1.0-plugins-base (<< 1.8.0),
-        gstreamer1.0-plugins-bad (<< 1.11.1)
+        gstreamer1.0-plugins-bad (<< 1.11.1),
+        libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -85,6 +86,8 @@
          ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gstreamer-1.0 (= ${binary:Version})
+Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1.13.1)
+Replaces: libgstreamer-plugins-bad1.0-dev (<< 1.13.1)
 Recommends: debhelper
 Suggests: gstreamer1.0-doc
 Description: GStreamer core development files
@@ -124,7 +127,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.12.3)
+         libgstreamer1.0-0 (>= 1.13.91)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
+
+# Work-around for gtk-doc bug:
+# https://bugzilla.gnome.org/show_bug.cgi?id=783926
+export PYTHONIOENCODING="utf-8"
 
 export HOME=$(CURDIR)/fake-home
 
@@ -53,7 +57,6 @@
 	debian/$(gst_lib_dev).postrm \
 	debian/$(gst_pkgname)-doc.install \
 	debian/$(gst_pkgname)-doc.links \
-	debian/$(gst_pkgname)-doc.lintian \
 	debian/$(gst_pkgname)-tools.install \
 	debian/$(gst_pkgname)-tools.links \
 	debian/$(gst_pkgname)-tools.manpages \
@@ -146,14 +149,6 @@
 		> $@
 
 debian/$(gst_pkgname)-doc.links: debian/gstreamer-doc.links debian/rules
-	rm -f $@
-	cat $< | \
-		sed 's/@GST_ABI@/$(gst_abi)/g' | \
-		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
-		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
-		> $@
-
-debian/$(gst_pkgname)-doc.lintian: debian/gstreamer-doc.lintian debian/rules
 	rm -f $@
 	cat $< | \
 		sed 's/@GST_ABI@/$(gst_abi)/g' | \
@@ -224,18 +219,6 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := $(common_conf_flags) $(indep_conf_flags)
 
-common-install-indep::
-	# move around the doc dirs
-	mkdir -p debian/tmp/usr/share/doc/$(gst_pkgname)-doc
-	-cp -r debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/pwg \
-	   debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/manual \
-	   debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/faq \
-	   debian/tmp/usr/share/doc/$(gst_pkgname)-doc
-
-	# -doc lintian overrides
-	mkdir -p debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/
-	cp -a debian/$(gst_pkgname)-doc.lintian debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/$(gst_pkgname)-doc
-
 DEB_DH_MAKESHLIBS_ARGS_$(gst_lib) += -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)" -V $(gst_shlibs_dep) -- -c4
 DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
 DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-(0\.11\.[\d\.]+)\.tar\.gz

## gstreamer1.0 1.14.1

=== debian/changelog ===
gstreamer1.0 (1.14.1-1~ubuntu18.04.2) bionic-security; urgency=medium

  * No change rebuild in -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Apr 2019 09:50:05 -0400

gstreamer1.0 (1.14.1-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1772898)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 23 May 2018 13:54:22 +0100

gstreamer1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:09:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
@@ -32,7 +33,9 @@
 Build-Depends-Indep: gtk-doc-tools (>= 1.12),
                      libglib2.0-doc
 Standards-Version: 3.9.3
-Homepage: http://gstreamer.freedesktop.org
+Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer1.0.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer1.0/
+Homepage: https://gstreamer.freedesktop.org
 
 Package: libgstreamer1.0-0
 Architecture: any
@@ -127,7 +130,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.13.91)
+         libgstreamer1.0-0 (>= 1.14.1)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.14.4

=== debian/changelog ===
gstreamer1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:51:02 +0300

gstreamer1.0 (1.14.3-1) unstable; urgency=medium

  [ Hugh McMaster ]
  * gir1.2-gstreamer-1.0: Install the typelibs into a multi-arch library
    directory (Closes: #904266).
  * debian/control.in:
    - Mark gir1.2-gstreamer-1.0 Multi-Arch: same.
    - Remove a duplicate ${gir:Depends} variable from gir1.2-gstreamer-1.0.
    - Mark libgstreamer1.0-dev Multi-Arch: same (Closes: #823307).
  * debian/dh_gstscancodecs:
    - Call gst-codec-info-1.0 from the package's libexecdir path.
  * libgstreamer1.0-dev:
    - Install the gst-codec-info-1.0 utility into the package's multi-arch
      program executables directory (libexecdir).

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 09:52:35 +0300

gstreamer1.0 (1.14.2-2) unstable; urgency=medium

  * debian/patches/0002-gstconfig.h.in-initial-RISC-V-support.patch:
    + Add support for RISC-V (Closes: #895711).
  * debian/control.in:
    + Build-depend on libgmp-dev | libgmp3-dev (Closes: #862257).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jul 2018 09:36:35 +0300

gstreamer1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:05:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
@@ -18,7 +17,7 @@
                autopoint (>= 0.17),
                zlib1g-dev (>= 1:1.1.4),
                libglib2.0-dev (>= 2.40),
-               libgmp3-dev,
+               libgmp-dev | libgmp3-dev,
                libgsl-dev | libgsl0-dev,
                pkg-config (>= 0.11.0),
                bison (>= 1:2.4),
@@ -81,6 +80,7 @@
 
 Package: libgstreamer1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgstreamer1.0-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
@@ -130,7 +130,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.14.1)
+         libgstreamer1.0-0 (>= 1.14.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -145,10 +145,10 @@
 Package: gir1.2-gstreamer-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+         ${misc:Depends}
 Description: GObject introspection data for the GStreamer library
  This package contains introspection data for the GStreamer streaming media
  framework.

## gstreamer1.0 1.14.5

=== debian/changelog ===
gstreamer1.0 (1.14.5-0ubuntu1~18.04.2) bionic-security; urgency=medium

  * No-change build to push it to security and build gst-plugins-good1.0

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 19 Apr 2021 10:27:18 -0300

gstreamer1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Jul 2019 15:34:47 +0100

gstreamer1.0 (1.14.4-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:13:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -224,7 +224,7 @@
 DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 install/$(gst_lib_dev)::
-	gcc -o debian/tmp/usr/bin/gst-codec-info-1.0 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0` debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstreamer-1.0.so -Idebian/tmp/usr/include/gstreamer-1.0 -Idebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/include
+	gcc -o debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0/gstreamer-1.0/gst-codec-info-1.0 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0` debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstreamer-1.0.so -Idebian/tmp/usr/include/gstreamer-1.0 -Idebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/include
 	perldoc -o man debian/dh_gstscancodecs > debian/tmp/usr/share/man/man1/dh_gstscancodecs.1
 
 .PHONY: maint

=== debian/watch ===
version=4
http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-(1\.[\d\.]+)@ARCHIVE_EXT@

## gstreamer1.0 1.15.90

=== debian/changelog ===
gstreamer1.0 (1.15.90-1ubuntu1) disco; urgency=medium

  * debian/patches/git_seek_event.patch:
    - backported a patch from git to fix a regression (which was caught
      by the parlatype autopkgtests in Ubuntu)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Apr 2019 10:43:17 +0200

gstreamer1.0 (1.15.90-1~sync1) disco; urgency=medium

  * Upload the Debian update with a fakesync to not wait for publishing

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Apr 2019 10:45:41 +0200

gstreamer1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 09:38:28 +0300

gstreamer1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 11:18:22 +0200

gstreamer1.0 (1.15.1-1) experimental; urgency=medium

  [ Sebastian Dröge ]
  * New upstream development release
    + debian/libgstreamer-dev.install:
      - Ship gdb helper script.
    + debian/libgstreamer.symbols:
      - Update symbols file with new API.
  * debian/control.in:
    + Remove Sebastian Bacher and Loïc Minier from Uploaders. They didn't work
      on the packages in a very long time (Closes: #857480).

      Thanks a lot for their past work!

  [ Simon McVittie ]
  * Run gtkdocize during build (Closes: #899116) and only build
    docs if we actually build the docs package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 15:11:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
-Uploaders: Loïc Minier <lool@debian.org>,
-           Sebastien Bacher <seb128@debian.org>,
-           Sebastian Dröge <slomo@debian.org>,
+Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
@@ -13,6 +11,7 @@
                autotools-dev,
                automake (>= 1.14),
                autoconf (>= 2.69),
+               gtk-doc-tools (>= 1.12),
                libtool (>= 2.2.6),
                dh-autoreconf,
                autopoint (>= 0.17),
@@ -30,8 +29,7 @@
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                libcap-dev [linux-any]
-Build-Depends-Indep: gtk-doc-tools (>= 1.12),
-                     libglib2.0-doc
+Build-Depends-Indep: libglib2.0-doc
 Standards-Version: 3.9.3
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer1.0/
@@ -131,7 +129,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.14.3)
+         libgstreamer1.0-0 (>= 1.15.2)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.16.1

=== debian/changelog ===
gstreamer1.0 (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2019 11:32:51 +0300

gstreamer1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:09:56 +0300

gstreamer1.0 (1.16.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:34:12 +0300

gstreamer1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:10:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -129,7 +128,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.15.2)
+         libgstreamer1.0-0 (>= 1.16.0)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.16.2

=== meson_options.txt ===
option('gst_debug', type : 'boolean', value : true)
option('gst_parse', type : 'boolean', value : true,
       description: 'Enable pipeline string parser')
option('registry', type : 'boolean', value : true)
option('tracer_hooks', type : 'boolean', value : true)
option('ptp-helper-setuid-user', type : 'string',
       description : 'User to switch to when installing gst-ptp-helper setuid root')
option('ptp-helper-setuid-group', type : 'string',
       description : 'Group to switch to when installing gst-ptp-helper setuid root')
option('ptp-helper-permissions', type : 'combo',
       choices : ['none', 'setuid-root', 'capabilities', 'auto'], value : 'auto')
option('extra-checks', type : 'boolean', value : true, description : 'Enable extra runtime checks')
option('option-parsing', type : 'boolean', value : true,
       description: 'Enable command line option parsing')
option('poisoning', type : 'boolean', value : false, description : 'Enable poisoning of deallocated objects')
option('memory-alignment', type: 'combo',
       choices : ['1', '2', '4', '8', '16', '32', '64', '128', '256', '512', '1024', '2048', '4096', '8192', 'malloc', 'pagesize'],
       value: 'malloc')

# Feature options
option('check', type : 'feature', value : 'auto', description : 'Build unit test libraries')
option('libunwind', type : 'feature', value : 'auto', description : 'Use libunwind to generate backtraces')
option('libdw', type : 'feature', value : 'auto', description : 'Use libdw to generate better backtraces from libunwind')
option('dbghelp', type : 'feature', value : 'auto', description : 'Use dbghelp to generate backtraces')
option('bash-completion', type : 'feature', value : 'auto', description : 'Install bash completion files')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('benchmarks', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'auto', yield : true)
option('gtk_doc', type : 'feature', value : 'auto', yield : true, description : 'Generate API documentation with gtk-doc')
option('introspection', type : 'feature', value : 'auto', yield : true, description : 'Generate gobject-introspection bindings')
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')

=== debian/changelog ===
gstreamer1.0 (1.16.2-2) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Dec 2019 12:00:46 +0200

gstreamer1.0 (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Dec 2019 14:05:48 +0200

=== debian/control ===
--- 
+++ 
@@ -128,7 +128,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.16.0)
+         libgstreamer1.0-0 (>= 1.16.1)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.16.3

=== debian/changelog ===
gstreamer1.0 (1.16.3-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: code exec via integer overflow
    - debian/patches/CVE-2024-47606.patch: avoid integer overflow when
      allocating sysmem in gst/gstallocator.c.
    - CVE-2024-47606

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:06:24 -0500

gstreamer1.0 (1.16.3-0ubuntu1.1) focal-security; urgency=medium

  * Build no change

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 03 Aug 2022 08:59:55 -0300

gstreamer1.0 (1.16.3-0ubuntu1) focal; urgency=medium

  * New upstream stable release (LP: #1962135)
    - Drop patches 0001-Revert-device-Enforce-that-elements-created-by-gst_d
      and 0002-Revert-element-Enforce-that-elements-created-by-gst_
      (applied upstream).

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 01 Mar 2022 11:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 # gstreamer shlibs
 gst_shlibs_dep="$(gst_lib) (>= $(gst_version))"
 
+binaries := $(shell dh_listpackages)
+
 # debug package
 DEB_DH_STRIP_ARGS := --dbg-package=$(gst_lib)-dbg
 
@@ -211,9 +213,8 @@
 indep_conf_flags = \
 	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)-doc
 
-# only build the docs if gtk-doc-tools is installed, i.e. binary-indep is
-# called
-ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
+# Only build documentation if we are building the -doc package
+ifneq ($(filter $(gst_pkgname)-doc,$(binaries)),)
 indep_conf_flags += --enable-gtk-doc --enable-docbook
 endif
